Mettre à jour le système d’exploitation

Mettre à jour de Debian 9 Stretch vers Debian 10 Buster

Afin de mettre à niveau votre serveur WAPT de Stretch à Buster, vous devez suivre la procédure standard pour Debian. Vous devez d’abord modifier les fichiers sources apt /etc/apt/sources.list et /etc/apt/sources.list.d/wapt.list, puis lancer la mise à niveau.

Par défaut, PostgreSQL n’est pas mis à niveau vers PostgreSQL 11. Il faut demander manuellement la mise à niveau. Après la mise à niveau, il est possible de supprimer l’ancienne base de données PostgreSQL 9.6.

sed -i 's/stretch/buster/g'  /etc/apt/sources.list
sed -i 's/stretch/buster/g'  /etc/apt/sources.list.d/wapt.list
apt update
apt update && apt dist-upgrade
pg_dropcluster --stop 11 main
pg_upgradecluster -v 11 9.6 main
apt remove postgresql*-9.6
apt autoremove
/opt/wapt/waptserver/scripts/postconf.sh

Mettre à niveau de CentOS 7 à CentOS 8

WAPT ne soutient pas encore CentOS 8. Cette section sera mise à jour en conséquence lorsque le support sera ajouté.